package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.AttOrgBase;

/**
 * 机构基础信息 服务层
 */
public interface IAttOrgBaseService {

    /**
     * 查询机构基础信息信息
     * @param guid 查询条件
     * @return 机构基础信息信息
     */
    AttOrgBase selectAttOrgBaseByGuid(String guid);

    /**
     * 查询机构基础信息列表
     * @param attOrgBase 机构基础信息查询条件
     * @return 机构基础信息集合
     */
    List<AttOrgBase> selectAttOrgBaseList(AttOrgBase attOrgBase);

    /**
     * 新增机构基础信息
     * @param attOrgBase 机构基础信息信息
     * @return 影响行数
     */
    int insertAttOrgBase(AttOrgBase attOrgBase);

    /**
     * 修改机构基础信息
     * @param attOrgBase 机构基础信息信息
     * @return 影响行数
     */
    int updateAttOrgBase(AttOrgBase attOrgBase);

    /**
     * 删除机构基础信息
     * @param guid 机构基础信息主键
     * @return 影响行数
     */
    int deleteAttOrgBaseByGuid(String guid);

    /**
     * 批量删除机构基础信息
     * @param guids 机构基础信息主键数组
     * @return 影响行数
     */
    int deleteAttOrgBaseByGuids(String[] guids);
}
